Germany’s ever-fastidious Federal Office for Information Security (BSI) has warned its citizens to steer clear of Internet Explorer until Microsoft comes up with a patch for a serious zero-day flaw that is being targeted by malware.

Microsoft confirmed the vulnerability in advisory 2757760 which it said would affect anyone running IE 9 or earlier when visiting a website set up to exploit the flaw. The suggested workaround is to block or disable ActiveX controls and scripts, which would potentially affect usability.

The company said it was working on a fix which it has yet to confirm will be issued as an out-of-band patch. Users could also download the Enhanced Mitigation Experience Toolkit.

Not for the first time, German’s BSI (Bundesamt für Sicherheit in der Informationstechnik) is taking no chances, advising IE users to switch to an alternative until the patch arrives.

The BSI has warned before about popular, vulnerable programs, including IE in 2010, an issue affecting versions 6,7 and 8. On that occasion, the French Government took a similar line.

More recently the BSI warned users about iPhone security as part of a ‘better safe than sorry’ culture that stands in contrast to the UK and the US where computer security is seen as a largely private concern.

According to AlienVault, exploits using the latest IE flaw appear to have a connection to the Chinese gang that has recently used the PlugX RAT Trojan to target pro-Tibet campaigners.

By coincidence, only last week the company linked this malware to a named Chinese programmer it alleged as having played a key role in a long line of Trojans developed in the country for political purposes. The plot thickens.